Loading...
Searching...
No Matches
gtsam::traits< SphericalCamera > Struct Reference
Inheritance diagram for gtsam::traits< SphericalCamera >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::Testable< Pose3 >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< Pose3 >))
Static Public Member Functions inherited from gtsam::internal::LieGroupTraits< Pose3 >
static TangentVector | Logmap (const Pose3 &m, ChartJacobian Hm=boost::none)
static Pose3 | Expmap (const TangentVector &v, ChartJacobian Hv=boost::none)
static Pose3 | Compose (const Pose3 &m1, const Pose3 &m2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Pose3 | Between (const Pose3 &m1, const Pose3 &m2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Pose3 | Inverse (const Pose3 &m, ChartJacobian H=boost::none)
static TangentVector | Local (const Pose3 &origin, const Pose3 &other, ChartJacobian Horigin=boost::none, ChartJacobian Hother=boost::none)
static Pose3 | Retract (const Pose3 &origin, const TangentVector &v, ChartJacobian Horigin=boost::none, ChartJacobian Hv=boost::none)
static Pose3 | Identity ()
Static Public Member Functions inherited from gtsam::internal::GetDimensionImpl< Pose3, Pose3::dimension >
static int | GetDimension (const Pose3 &)
Static Public Member Functions inherited from gtsam::Testable< Pose3 >
static void | Print (const Pose3 &m, const std::string &str="")
static bool | Equals (const Pose3 &m1, const Pose3 &m2, double tol=1e-8)
Public Types inherited from gtsam::internal::LieGroupTraits< Pose3 >
typedef lie_group_tag | structure_category
enum |
typedef Pose3 | ManifoldType
typedef Eigen::Matrix< double, dimension, 1 > | TangentVector
typedef OptionalJacobian< dimension, dimension > | ChartJacobian
typedef multiplicative_group_tag | group_flavor

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/geometry/SphericalCamera.h